Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
kcfile.h File Reference

filesystem abstraction More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`

## Classes

class | kyotocabinet::File
| Filesystem abstraction. More...
struct | kyotocabinet::File::Status
| Status information. More...
class | kyotocabinet::DirStream
| Directory stream abstraction. More...

## Namespaces

namespace | kyotocabinet
| All symbols of Kyoto Cabinet.

## Detailed Description

filesystem abstraction